Loading...
Searching...
No Matches
caf::message::cli_res Struct Reference

Stores the result of message::extract_opts. More...

`#include <message.hpp>`

## Public Attributes

message | remainder
| Stores the remaining (unmatched) arguments.
std::set< std::string > | opts
| Stores the names of all active options.
std::string | helptext
| Stores the automatically generated help text.
std::string | error
| Stores errors during option parsing.

## Detailed Description

Stores the result of message::extract_opts.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/message.hpp